Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List git identities

GET/workspaces/{organizationId}/git/identities
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Responses
200

Git identities

Array of object
idstringrequired
organizationIdstringrequired
repostringrequired
namestringrequired
emailstringrequired
matches ^[^@\s]+@[^@\s]+\.[^@\s]+$
githubUsernamestring | nullrequired
signingKeyRefstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/git/identities' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
[
  {
    "id": "string",
    "organizationId": "string",
    "repo": "string",
    "name": "string",
    "email": "string",
    "githubUsername": "string",
    "signingKeyRef": "string",
    "createdAt": "string",
    "updatedAt": "string"
  }
]

Was this page helpful?